Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cc.mallet.classify
Class ClassifierAccuracyEvaluator

    java.lang.Object
      cc.mallet.classify.ClassifierEvaluator
          cc.mallet.classify.ClassifierAccuracyEvaluator

    public class ClassifierAccuracyEvaluator

extends ClassifierEvaluator

Constructor Summary
`ClassifierAccuracyEvaluator(InstanceList[] instances, java.lang.String[] descriptions)`
`ClassifierAccuracyEvaluator(InstanceList instanceList1, java.lang.String instanceListDescription1)`
`ClassifierAccuracyEvaluator(InstanceList instanceList1, java.lang.String instanceListDescription1, InstanceList instanceList2, java.lang.String instanceListDescription2)`
`ClassifierAccuracyEvaluator(InstanceList instanceList1, java.lang.String instanceListDescription1, InstanceList instanceList2, java.lang.String instanceListDescription2, InstanceList instanceList3, java.lang.String instanceListDescription3)`

Method Summary
`void` | `evaluateInstanceList(ClassifierTrainer trainer, InstanceList instances, java.lang.String description)`

Methods inherited from class cc.mallet.classify.ClassifierEvaluator
`evaluate, preamble`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClassifierAccuracyEvaluator

    public ClassifierAccuracyEvaluator(InstanceList[] instances,
                                       java.lang.String[] descriptions)

### ClassifierAccuracyEvaluator

    public ClassifierAccuracyEvaluator(InstanceList instanceList1,
                                       java.lang.String instanceListDescription1)

### ClassifierAccuracyEvaluator

    public ClassifierAccuracyEvaluator(InstanceList instanceList1,
                                       java.lang.String instanceListDescription1,
                                       InstanceList instanceList2,
                                       java.lang.String instanceListDescription2)

### ClassifierAccuracyEvaluator

    public ClassifierAccuracyEvaluator(InstanceList instanceList1,
                                       java.lang.String instanceListDescription1,
                                       InstanceList instanceList2,
                                       java.lang.String instanceListDescription2,
                                       InstanceList instanceList3,
                                       java.lang.String instanceListDescription3)

Method Detail

### evaluateInstanceList

    public void evaluateInstanceList(ClassifierTrainer trainer,
                                     InstanceList instances,
                                     java.lang.String description)

  Specified by:
    `evaluateInstanceList` in class `ClassifierEvaluator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD